@font-face {
  font-family:"Tommy Soft";
  src:url("/ocs/fandom/rose/assets/Tommy_Soft.ttf");
}

@font-face {
  font-weight:bold;
  font-family:"Tommy Soft";
  src:url("/ocs/fandom/rose/assets/Tommy_Soft-Bold.ttf");
}

:root {
  --dark:#000000;
  --dark-half:rgba(0, 0, 0, 0.5);
  --middle:#ff0099;
  --middle-half:rgba(255, 0, 153, 0.5);
  --light:#00ffe8;
  --light-half:rgba(0, 255, 232, 0.5);
}

html, body {
  margin:0;
  font-size:1em;
  color:var(--dark);
  background-color:var(--dark);
  font-family:"Tommy Soft", sans-serif;
}

a {
  color:var(--dark);
  text-decoration:underline;
}

a:hover {
  text-decoration:none;
  color:var(--dark-half);
}

h1 {
  margin:0;
  padding:20px 0;
  font-size:2.5em;
  text-align:center;
  color:var(--light);
}

h2 {
  font-size:2em;
  margin:0 0 8px 0;
  text-align:center;
  color:var(--light);
}

h3 {
  font-size:1.5em;
  margin:0 0 8px 0;
  text-align:center;
  color:var(--light);
}

#header {
  top:0;
  margin:0;
  width:100%;
  height:30px;
  position:fixed;
  color:var(--dark);
  background-color:var(--middle);
}

#header p {
  margin:0;
  font-size:.9em;
  padding:6px 10px;
}

#main {
  margin:0;
  width:100%;
  display:flex;
  padding-top:50px;
  justify-content:space-between;
}

#leftImgs, #rightImgs {
  width:20%;
  margin:0 8px;
}

#leftImgs img, #rightImgs img {
  width:100%;
  margin-bottom:5px;
}

#leftImgs img:last-child, #rightImgs img:last-child {
  margin-bottom:0;
}

#page {
  width:70%;
  height:100%;
  vertical-align:top;
}

.row {
  width:100%;
  display:flex;
  margin-bottom:20px;
}

.row:last-child {
  margin-bottom:0;
}

#profile {
  width:86%;
  padding:10px;
  background-color:var(--middle);
}

#profileInner {
  display:flex;
}

#avatar {
  width:215px;
  height:215px;
  border:5px solid var(--light);
}

#profileInfo {
  width:100%;
  display:block;
}

#profileInfo hr {
  margin:10px 0 6px 8px;
  border:1px solid var(--dark-half);
}

.profileRow {
  width:100%;
  display:flex;
  padding:5px 5px 0 15px;
  justify-content:space-between;
}

.profileRow p {
  margin:0;
}

.profileRow #name {
  font-size:1.5em;
  font-weight:bold;
}

.profileRow span #quote {
  padding-left:5px;
  font-style:italic;
}

.profileRow #activity {
  margin-top:8px;
  color:var(--dark-half);
}

.profileRow ul {
  margin:0;
  padding:0;
  list-style-type:none;
}

.profileRow li {
  margin-bottom:5px;
}

.profileRow li:last-child {
  margin-bottom:0;
}

#profileContent {
  width:50%;
  display:block;
}

#profileLinks {
  width:50%;
  display:block;
}

#profileLinks a {
  text-decoration:none;
}

#profileLinks ul {
  margin:0;
  padding:0;
  text-align:right;
  margin-right:15px;
  list-style-type:none;
}

#profileLinks li {
  margin-bottom:20px;
}

#profileLinks li:last-child {
  margin-bottom:5px;
}

.button {
  cursor:pointer;
  font-size:.9em;
  padding:5px 10px;
  color:var(--dark);
  background-color:var(--light);
  outline:2px solid var(--light);
}

.button:hover {
  background:var(--light-half);
}

a .button {
  text-decoration:none;
}

.button .fas {
  margin-right:2px;
}

#musicPlayer {
  width:14%;
  padding:10px;
  overflow:hidden;
  margin:0 0 0 20px;
  background-color:var(--middle);
}

#cover {
  width:100%;
  outline:2px solid var(--light);
}

#musicPlayer marquee {
  width:100%;
}

#musicPlayer p {
  margin:0;
  width:100%;
  height:auto;
  padding:5px 0;
  text-align:center;
  background:var(--dark);
  outline:2px solid var(--dark);
}

#musicPlayer p:hover {
  background:var(--dark-half);
}

marquee {
  overflow:hidden;
  white-space:nowrap;
  box-sizing:border-box;
}

marquee a {
  padding-left:100%;
  display:inline-block;
  animation:marquee 4s linear infinite;
}

@keyframes marquee {
  0%   {
    transform:translate(0, 0);
  }
  
  100% {
    transform:translate(-100%, 0);
  }
}

#graphics {
  width:30%;
  padding:10px;
  margin:0 20px 0 0;
  background-color:var(--middle);
}

#graphics a:hover img {
  opacity:.5;
}

#ramble {
  width:70%;
  padding:20px;
  position:relative;
  background-color:var(--middle);
}

#ramble p {
  margin-top:0;
}

#ramble img {
  width:32%;
  margin:2px;
}

#gallery {
  width:100%;
  padding:10px;
  background-color:var(--middle);
}

#gallery center {
  width:auto;
  margin:auto;
  padding-top:0;
}

#gallery img {
  margin:6px;
  height:250px;
}

#gallery a:hover img {
  outline:2px solid var(--light);
}

.full {
  margin:0;
  padding:0;
  width:100%;
}

.half {
  margin:0;
  width:48%;
  padding:0;
}

.third {
  margin:0;
  width:31%;
  padding:0;
}

.fourth {
  margin:0;
  width:22%;
  padding:0;
}

.outlink:after {
  content:"⤤";
}

::selection {
  color:var(--middle);
  background-color:var(--dark);
}

::-webkit-scrollbar {
  width:auto;
}

::-webkit-scrollbar-track {
  background:var(--middle);
}

::-webkit-scrollbar-thumb {
  background:var(--light);
}

@media only screen and (max-width:800px) {
  
}